#[derive(Debug, PartialEq, Eq)]
pub enum DmType {
    Byte,
    Int,
    Long,
    Double,
    Boolean,
    Pointer,
    Unit,
}

impl DmType {
    pub fn size_in_bytes(&self) -> usize {
        match self {
            DmType::Byte => size_of::<u8>(),
            DmType::Int => size_of::<i32>(),
            DmType::Long => size_of::<i64>(),
            DmType::Double => size_of::<f64>(),
            DmType::Boolean => size_of::<bool>(),
            DmType::Pointer => size_of::<usize>(),
            DmType::Unit => todo!("Need to determine size of Unit... is it dependent on the size of the thing which is Unit?")
        }
    }
}
